% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/egg.polygon.area.R
\name{egg.polygon.area}
\alias{egg.polygon.area}
\title{Polygon area}
\usage{
egg.polygon.area(egg, vertices, N = 6)
}
\arguments{
\item{egg}{an object of class \code{egg.fit}}

\item{vertices}{points describing the vertices of the polygon in spherical coordinates, as obtained from \code{egg.coords}}

\item{N}{number of triangle subdivisions}
}
\value{
The area of the polygon in pixels^2
}
\description{
Iteratively find the area of a polygon on the surface of the egg
}
\examples{
\dontrun{
# Determine egg shape and plot
egg.image(egg)
fit = egg.fit()
egg.plot(fit, lwd = 3, col = "red")

# Interactively select a series of points (at least 3)
vertices = egg.coords(fit, type = "polygon", pch = 16, lwd = 3, col = "green")

# Determine the area of the polygon region
egg.polygon.area(fit, vertices, N = 6)
}
}
